Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514592 - php-fpm denied map for medawiki files
Summary: php-fpm denied map for medawiki files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-11-17 20:21 UTC by Kevin Fenzi
Modified: 2017-11-28 23:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 23:54:52 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2017-11-17 20:21:00 UTC
F27 mediawiki install which seems to work ok, but there's a bunch of avcs like: 

type=AVC msg=audit(1510949953.737:28496785): avc:  denied  { map } for  pid=6165 comm="php-fpm" path="/usr/share/mediawiki/includes/jobqueue/JobQueueGroup.php" dev="dm-0" ino=1055957 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:mediawiki_content_t:s0 tclass=file permissive=0
type=AVC msg=audit(1510949953.746:28496786): avc:  denied  { map } for  pid=6165 comm="php-fpm" path="/usr/share/mediawiki/includes/jobqueue/JobRunner.php" dev="dm-0" ino=1055960 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:mediawiki_content_t:s0 tclass=file permissive=0
type=AVC msg=audit(1510949953.747:28496787): avc:  denied  { map } for  pid=6165 comm="php-fpm" path="/usr/share/mediawiki/includes/libs/ProcessCacheLRU.php" dev="dm-0" ino=1056014 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:mediawiki_content_t:s0 tclass=file permissive=0
type=AVC msg=audit(1510949953.747:28496788): avc:  denied  { map } for  pid=6165 comm="php-fpm" path="/usr/share/mediawiki/includes/jobqueue/JobQueue.php" dev="dm-0" ino=1055954 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:mediawiki_content_t:s0 tclass=file permissive=0
type=AVC msg=audit(1510949953.748:28496789): avc:  denied  { map } for  pid=6165 comm="php-fpm" path="/usr/share/mediawiki/includes/exception/MWException.php" dev="dm-0" ino=1055539 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:mediawiki_content_t:s0 tclass=file permissive=0
type=AVC msg=audit(1510949953.749:28496790): avc:  denied  { map } for  pid=6165 comm="php-fpm" path="/usr/share/mediawiki/includes/jobqueue/JobQueueDB.php" dev="dm-0" ino=1055955 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:mediawiki_content_t:s0 tclass=file permissive=0
type=AVC msg=audit(1510949953.750:28496791): avc:  denied  { map } for  pid=6165 comm="php-fpm" path="/usr/share/mediawiki/includes/jobqueue/aggregator/JobQueueAggregator.php" dev="dm-0" ino=1055964 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:mediawiki_content_t:s0 tclass=file permissive=0

ie, denied map for files under /usr/share/mediawiki/

Comment 1 Fedora Update System 2017-11-22 08:56:41 UTC
selinux-policy-3.13.1-283.17.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d05b1a2ab9

Comment 2 Fedora Update System 2017-11-22 21:42:06 UTC
selinux-policy-3.13.1-283.17.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d05b1a2ab9

Comment 3 Fedora Update System 2017-11-28 23:54:52 UTC
selinux-policy-3.13.1-283.17.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.